libapt-pkg5.0_1.2.10ubuntu1_amd64.deb


Advertisement

Description

libapt-pkg5.0 - package management runtime library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libapt-pkg5.0_1.2.10ubuntu1_amd64.deb
Package name libapt-pkg5.0
Package version 1.2.10ubuntu1
Package release -
Package architecture amd64
Package type deb
Category libs
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 679.50 KB
Installed size 2.69 MB
This library provides the common functionality for searching and
managing packages as well as information about packages.
Higher-level package managers can depend upon this library.
This includes:
* retrieval of information about packages from multiple sources
* retrieval of packages and all dependent packages
needed to satisfy a request either through an internal
solver or by interfacing with an external one
* authenticating the sources and validating the retrieved data
* installation and removal of packages in the system
* providing different transports to retrieve data over cdrom, ftp,
http, rsh as well as an interface to add more transports like
https (apt-transport-https) and debtorrent (apt-transport-debtorrent).

Alternatives

Package Version Architecture Repository
libapt-pkg5.0_1.2.32_i386.deb 1.2.32 i386 Ubuntu Updates Main
libapt-pkg5.0_1.2.32_amd64.deb 1.2.32 amd64 Ubuntu Updates Main
libapt-pkg5.0_1.2.10ubuntu1_i386.deb 1.2.10ubuntu1 i386 Ubuntu Main
libapt-pkg5.0 - - -

Requires

Name Value
libbz2-1.0 -
libc6 >= 2.15
libgcc1 >= 1:3.0
liblz4-1 >= 0.0~r127
liblzma5 >= 5.1.1alpha+20120614
libstdc++6 >= 5.2
zlib1g >= 1:1.2.2.3

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libapt-pkg5.0_1.2.10ubuntu1_amd64.deb
Source Package apt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libapt-pkg5.0 deb package:
    # sudo apt-get install libapt-pkg5.0

Files

Path
/usr/lib/x86_64-linux-gnu/libapt-pkg.so.5.0
/usr/lib/x86_64-linux-gnu/libapt-pkg.so.5.0.0
/usr/share/doc/libapt-pkg5.0/NEWS.Debian.gz
/usr/share/doc/libapt-pkg5.0/changelog.gz
/usr/share/doc/libapt-pkg5.0/copyright
/usr/share/locale/ar/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/ast/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/bg/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/bs/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/ca/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/cs/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/cy/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/da/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/de/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/dz/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/el/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/es/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/eu/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/fi/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/fr/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/gl/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/hu/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/it/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/ja/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/km/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/ko/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/ku/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/lt/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/mr/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/nb/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/ne/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/nl/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/nn/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/pl/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/pt/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/pt_BR/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/ro/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/ru/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/sk/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/sl/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/sv/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/th/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/tl/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/tr/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/uk/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/vi/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/zh_CN/LC_MESSAGES/libapt-pkg5.0.mo
/usr/share/locale/zh_TW/LC_MESSAGES/libapt-pkg5.0.mo

Changelog

2016-04-14 - Martin Pitt <martin.pitt@ubuntu.com>
apt (1.2.10ubuntu1) xenial; urgency=medium
* Recheck Pre-Depends satisfaction in SmartConfigure, to avoid unconfigured
Pre-Depends (which dpkg later fails on). Fixes upgrade failures of
systemd, util-linux, and other packages with Pre-Depends. Many thanks to
David Kalnischkies for figuring out the patch and Winfried PLappert for
testing! Patch taken from Debian git. (LP: #1560797)
2016-04-05 - Michael Vogt <mvo@debian.org>
apt (1.2.10) unstable; urgency=medium
[ Zhou Mo ]
* zh_CN.po: update simplified Chinese translation. (100%)
[ Julian Andres Klode ]
* test-apt-download-progress: Use a larger file for testing
* Allow lowering trust level of a hash via config
[ Michael Vogt ]
* Use systemd.timer instead of a cron job (Closes: #600262, #709675, #663290)
(LP: #246381, #727685)
[ David Kalnischkies ]
* use buffered writing for InRelease splitting
[ Takuma Yamada ]
* Japanese program translation update (Closes: 819938)
2016-03-27 - Julian Andres Klode <jak@debian.org>
apt (1.2.9) unstable; urgency=high
[ David Kalnischkies ]
* drop confusing comma from no strong hash message
[ Julian Andres Klode ]
* Do not mark packages for keep that we want to remove (LP: #1562402)
(This fixes some upgrades involving renames where the old package
is removed)
2016-03-24 - Julian Andres Klode <jak@debian.org>
apt (1.2.8) unstable; urgency=medium
[ Michael Vogt ]
* Get accurate progress reporting in apt update again
[ Julian Andres Klode ]
* Report non-transient errors as errors, not as warnings
* methods/gpgv: Rewrite error handling and message.
Thanks to Ron Lee for wording suggestions
* Use descriptive URIs in 104 Warning messages
* cachefile: Only set members that were initialized successfully
(Closes: #818628)
* Update symbols file
[ David Kalnischkies ]
* do not strip epochs from state version strings (Closes: 818162)
* properly check for "all good sigs are weak" (Closes: 818910)
* handle gpgv's weak-digests ERRSIG
[ Zhou Mo ]
* zh_CN.po: update simplified Chinese translation. (Closes: #818639)
[ Takuma Yamada ]
* Japanese manpage translation update (Closes: 818950)
2016-03-15 - Julian Andres Klode <jak@debian.org>
apt (1.2.7) unstable; urgency=medium
"Caesar is dead"
[ Frans Spiesschaert ]
* Dutch program translation update (Closes: 817060)
* Dutch manpages translation update (Closes: 817062)
[ Julian Andres Klode ]
* Use native architecture instead of amd64 for build-dep-purge test
* Do not consider SHA1 usable
* Test that SHA1-only .diff/Index files are not used
* test: Use SHA512 digests for GPG, reject SHA1-based signatures
* methods/gpgv: Reject weak digest algorithms
* apt-pkg/acquire-worker.cc: Introduce 104 Warning message
* methods/gpgv: Warn about SHA1 (and RIPEMD-160)
[ David Kalnischkies ]
* require $(HASH)-Download field in .diff/Index files
* flush line-clearing on progress stop before post-invoke (Closes: 793672)
* enforce verify of filesize in 'apt-get source'
[ Manuel "Venturi" Porras Peralta ]
* Spanish apt-mark translation fix (Closes: 817999)
[ Zhou Mo ]
* zh_CN.po: fix translation bug. (Closes: #818177)
[ Michael Vogt ]
* Fix bug where the problemresolve can put a pkg into a heisenstate
(LP: #1550741)
2016-03-07 - Julian Andres Klode <jak@debian.org>
apt (1.2.6) unstable; urgency=high
[ Veres Lajos ]
* Fix several typos
[ Julian Andres Klode ]
* apt-pkg/algorithms.cc: Avoid stack buffer overflow in KillList
(Closes: #701069)
* urgency=high because this fixes a stack overflow and the last
upload fixed several segfaults and has not migrated yet either.

See Also

Package Description
libarchive-dev_3.1.2-11build1_amd64.deb Multi-format archive and compression library (development files)
libarchive-zip-perl_1.56-2_all.deb Perl module for manipulation of ZIP archives
libarchive13_3.1.2-11build1_amd64.deb Multi-format archive and compression library (shared library)
libart-2.0-2_2.3.21-2_amd64.deb Library of functions for 2D graphics - runtime files
libart-2.0-dev_2.3.21-2_amd64.deb Library of functions for 2D graphics - development files
libasan2-arm64-cross_5.3.1-14ubuntu2cross1_all.deb AddressSanitizer -- a fast memory error detector
libasan2-armhf-cross_5.3.1-14ubuntu2cross1_all.deb AddressSanitizer -- a fast memory error detector
libasan2-powerpc-cross_5.3.1-14ubuntu2cross1_all.deb AddressSanitizer -- a fast memory error detector
libasan2-ppc64el-cross_5.3.1-14ubuntu2cross1_all.deb AddressSanitizer -- a fast memory error detector
libasan2_5.3.1-14ubuntu2_amd64.deb AddressSanitizer -- a fast memory error detector
libasm-dev_0.165-3ubuntu1_amd64.deb libasm development libraries and header files
libasm1_0.165-3ubuntu1_amd64.deb library with a programmable assembler interface
libasn1-8-heimdal_1.7~git20150920+dfsg-4ubuntu1_amd64.deb Heimdal Kerberos - ASN.1 library
libasound2-data_1.1.0-0ubuntu1_all.deb Configuration files and profiles for ALSA drivers
libasound2-dev_1.1.0-0ubuntu1_amd64.deb shared library for ALSA applications -- development files
Advertisement
Advertisement